Subject: Re: bug#35663: 27.0.50; Eldoc support for apply

From: Noam Postavsky <[email-masked]>
Date: Thu, 09 May 2019 20:58:30 -0400

Michael Heerdegen <[email-masked]> writes:

> Hello,
>
> when editing something like
>
> (apply #'call-process
>   (car command)
>   nil
>   (if stderr-file (list t stderr-file) t)
>   nil
>   (append (cdr command) (list archive name)))
>
> eldoc support would be useful to see the argument names of
> 'call-process' instead of the signature of 'apply'.

Yes, I've kind of wanted something like this for a while.  

> +          ((and (memq (car current-fnsym) '(apply apply-partially))

funcall too please? :)

> We could also make the displayed text more special to show that this is
> actually an 'apply' call and handle the last argument specially but I
> think it would be overkill to add so much code for this side case.

Yeah, and I doubt any sort of eldoc display would be of much use for the
last apply arg anyway.